<?php   

function Departamento()
{
	include("config.php");
	$query = "SELECT * from departamento where iddepartamento in ('07', '15') order by nombre";
	$result = mysql_query($query);

	echo "<select class='round' name='iddepartamento' id='iddepartamento' style='width: 100%'>";
	echo "<option value=''>--Seleccione--</option>";
	while($registro=mysql_fetch_array($result))
	{
		echo "<option value='".$registro[0]."'>".$registro[1]."</option>";
	}
	echo "</select>";
}



function Provincia()
{
	$consulta="SELECT idprovincia, nombre FROM provincia WHERE right(idprovincia, 2) = 'X01' order by 2";
	//echo $consulta;
	$todos=mysql_query($consulta);
	echo "<select class='round' name='idprovincia' id='idprovincia' style='width: 100%'>";
	echo "<option value=''>--Provincia--</option>";
	while($registro=mysql_fetch_array($todos))
	{
		echo "<option value='".$registro[0]."'";
		echo ">".$registro[1]."</option>";
	}	
	echo "</select>";
}
?>

<html>   

<head>   
<title>Cotizaci&oacute;n SOAT</title>
	<link media=all href="estilos2.css" type=text/css rel=stylesheet>
	<link media=all href="estilosslides.css" type=text/css rel=stylesheet>
	<link media=all href="acordeon.css" type=text/css rel=stylesheet>
	<script src="js/jquery.js"></script> 

	<script type="text/javascript">
			 function anular(e) {
				  tecla = (document.all) ? e.keyCode : e.which;
				  return (tecla != 13);
			 }

			$(document).ready(function() 
			{
				/* COMBOBOX */
				$("#iddepartamento").change(function(event)
					{
						var iddepartamento = $("#iddepartamento").find(':selected').val();
						$("#pprovincia").html("<img src='picture_library/loading2.gif'width='30px' />");
						$("#pprovincia").load('cargar_combos_ubigeo_soat.php?buscar=provincia&iddep='+iddepartamento);
						var idprovincia = $("#idprovincia").find(':selected').val();
						$("#pdistrito").html("<img src='picture_library/loading2.gif'width='30px' />");
						$("#pdistrito").load('cargar_combos_ubigeo_soat.php?buscar=distrito&idprovincia='+iddepartamento+'01');
					});		
				$("#idprovincia").change(function(event)
					{
						var idprovincia = $("#idprovincia").find(':selected').val();
						$("#pdistrito").html("<img src='picture_library/loading2.gif'width='30px' />");
						$("#pdistrito").load('cargar_combos_ubigeo_soat.php?buscar=distrito&idprovincia='+idprovincia);
					});
				$("#idprovincia").live("change",function()
					{
						var idprovincia = $("#idprovincia").find(':selected').val();
						$("#pdistrito").html("<img src='picture_library/loading2.gif'width='30px' />");
						$("#pdistrito").load('cargar_combos_ubigeo_soat.php?buscar=distrito&idprovincia='+idprovincia);
					});
			});
	</script>
	
	
	
	
</head>   

<body>   
	   
<?php   

// Recibimos por POST los datos procedentes del formulario   

$nombre = strtoupper($_POST["nombre"]);
$paterno = strtoupper($_POST["paterno"]);
$materno = strtoupper($_POST["materno"]);
$tipodocumento = $_POST["idTipoDoc"];
$documento = $_POST["documento"];
$fecnac = $_POST["fn"];
$correo = $_POST["email"];
$celular = $_POST["celular"];
$fijo = $_POST["fijo"];
$marca = $_POST["idmarca"];   
$marcav = $_POST["idmarca"];   
$modelo = $_POST["idmodelo"];   
$fabricacion = $_POST["idfabricacion"];
$chasis = $_POST["chasis"];
$placa = $_POST["placa"];
$precio = str_replace(",", "", $_POST["precio"]);    
$fn = date('Y/m/d H:i');
$nuevafecha = strtotime ( '-5 hour' , strtotime ( $fn ) ) ;
$nuevafecha = date ( 'Y/m/d H:i' , $nuevafecha );
$hoy = date('Y').'-'.date('m').'-'.date('d');
$anioActual = date ("Y");
$sabado = 6 - date('N');
$sabado = '+'.$sabado.' day';
$ahora = date('Y-m-d');
$fecentrega = strtotime($sabado, strtotime($ahora));
$fecentrega = date('Y-m-d' , $fecentrega);
$anioAntiguedad = $anioActual - $fabricacion;

$nacimiento=$anio."-".$mes."-".$dia;




// Abrimos la conexion a la base de datos   
include("abre_conexion.php");   



echo "<div id=global style='margin: 0 auto; font: Tahoma; color:#424E8A;'>";
echo "<div id=contenido>";
echo "
<div class=classContenido id=cotizacion style='display: nonex'>";
echo "<form action='cierre_soat.php' method='post'>";
echo "<br><p style='font: bold 100% Tahoma; text-align:left; padding-left:100px;'>Estimado(a) ".$nombre." ".$paterno.":</p>";

echo "<input name='ptipodocumento' id='ptipodocumento' style='display: none;' value='".$tipodocumento."'/>";
echo "<input name='pdocumento' id='pdocumento' style='display: none;' value='".$documento."'/>";
echo "<input name='pfecnac' id='pfecnac' style='display: none;' value='".$fecnac."'/>";
echo "<input name='pcorreo' id='pcorreo' style='display: none;' value='".$correo."'/>";
echo "<input name='pcelular' id='pcelular' style='display: none;' value='".$celular."'/>";
echo "<input name='pfijo' id='pfijo' style='display: none;' value='".$fijo."'/>";
echo "<input name='pplaca' id='pplaca' style='display: none;' value='".$placa."'/>";

echo "<input name='pfabricacion' id='pfabricacion' style='display: none;' value='".$fabricacion."'/>";

			$consmarca = "SELECT descripcion FROM marca WHERE idmarca = '".$marcav."'";
			$rsmarca = mysql_query ($consmarca);
			while($regmarca=mysql_fetch_array($rsmarca))
			{
				echo "<input name='pmarcadetalle' id='pmarcadetalle' style='display: none;' value='".$regmarca[0]."'/>";
			}

			$consmodelo = "SELECT descripcion FROM modelo WHERE idmodelo = '".$modelo."'";
			$rsmodelo = mysql_query ($consmodelo);
			while($regmodelo=mysql_fetch_array($rsmodelo))
			{
				echo "<input name='pmodelodetalle' id='pmodelodetalle' style='display: none;' value='".$regmodelo[0]."'/>";
			}

echo "<input name='pnombre' id='pnombre' style='display: none;' value='".$nombre."'/>";
echo "<input name='ppaterno' id='ppaterno' style='display: none;' value='".$paterno."'/>";
echo "<input name='pmaterno' id='pmaterno' style='display: none;' value='".$materno."'/>";

echo "<br><p style='font: bold 90% Tahoma; text-align:center;'>El costo de su SOAT DIGITAL es:</p>";
echo "<table class='roundTable' style='text-align:center; padding-top: 15px; padding-bottom: 15px; margin: 0 auto; border: black 2px; color:#424E8A; font: 100% Arial; padding-left: 15px; padding-right: 15px; border-collapse: separate; border-spacing:  3px;'>



<tr>			
	<td style='display:none; font: 100% Arial; background-color:#424E8A; color:white; border: black 2px solid; height:54px' class='roundTable'>
		ASEGURADORA
	</td>
	<td style='font: 100% Arial; background-color:#424E8A; color:white; border: black 2px solid; height:54px' class='roundTable'>
		PRIMA TOTAL
	</td>
	<td style='font: 100% Arial; background-color:#424E8A; color:white; border: black 2px solid; height:54px' class='roundTable'>
		CLASE
	</td>	
	<td style='font: 100% Arial; background-color:#424E8A; color:white; border: black 2px solid; height:54px' class='roundTable'>
		USO
	</td>
</tr>
<tr>";

//conexion buscando el precio del SOAT
			$consSOAT = "SELECT * FROM consSOAT WHERE idmodelo = '".$modelo."'";
			$rsSOAT = mysql_query ($consSOAT);
			while($regSOAT=mysql_fetch_array($rsSOAT))
			{
				echo "
				<td style='display:none; font: 100% Arial; border: black 2px solid; height:54px' class='roundTable'>";
					echo $regSOAT[9];
					//echo "S/. 79.00";
				echo "
				</td>
				<td style='font: 100% Arial; border: black 2px solid; height:54px' class='roundTable'>S/. ";
				//echo number_format($regSOAT[7], 2, '.', ',');
				if ($regSOAT[3] == "AUTOMOVIL" || $regSOAT[3] == "CAMIONETA RURAL") {echo "79.00";} else {echo "180.00";}
				echo "<input name='pprecio' id='pprecio' style='display: none;' value='";
				//echo number_format($regSOAT[7], 2, '.', ',');
				if ($regSOAT[3] == "AUTOMOVIL" || $regSOAT[3] == "CAMIONETA RURAL") {echo "79.00";} else {echo "180.00";}
				echo "'/>
				</td>
				<td style='font: 100% Arial; border: black 2px solid; height:54px' class='roundTable'>".
					$regSOAT[3]."<input name='pclase' id='pclase' style='display: none;' value='".$regSOAT[3]."'/>
				</td>
				<td style='font: 100% Arial; border: black 2px solid; height:54px' class='roundTable'>".
					$regSOAT[5]."<input name='puso' id='puso' style='display: none;' value='".$regSOAT[5]."'/>
				</td>
				
				
				
				";
	
			}
		//<p><img src='picture_library/logo_pacifico.png' width='58px' height='40px' alt='Logo Pacifico'></p>



echo "</tr>
	<tr>
		<td colspan='3' style='text-align:left;'>
			<br>Por favor confirme sus datos para emitir su SOAT:<br>
		</td>
	</tr>
	<tr>
		<td colspan='3'>
			<br>
		</td>
	</tr>
	<tr>
		<td>
			Chasis
		</td>
		<td>
			Cantidad de Asientos
		</td>
		<td>
			Inicio de vigencia
		</td>
		<td style='display:none;'>
			Fecha de entrega
		</td>
	</tr>
	
	<tr>
		<td style='font: 100% Arial; border: black 2px ; height:30px' class='roundTable'>
			<input style='display: nonex; height:30px;' class='roundTable' name='chasis' id='chasis' size='20' type='text' value='".$chasis."' />
		</td>
		<td style='font: 100% Arial; border: black 2px ; height:30px' class='roundTable'>
			<input style='display: nonex; text-align: center; height:30px;' class='roundTable' name='asientos' id='asientos' min='5' max='9' size='15' type='number' value='5' />
		</td>
		<td style='font: 100% Arial; border: black 2px ; height:30px' class='roundTable'>
			<input style='display: nonex; height:30px;' class='roundTable' name='vigencia' id='vigencia' size='5' type='date' value='".$hoy."' />
		</td>
		<td style='display:none; font: 100% Arial; border: black 2px ; height:30px' class='roundTable'>
			<input style='display: nonex; height:30px;' class='roundTable' name='entrega' id='entrega' size='5' type='date' value='".$fecentrega."' />
		</td>
	</tr>

	<tr>
		<td style='text-align:left;' colspan='2'>
			Direcci&oacute;n
		</td>
		<td style='text-align:left;' colspan='1'>
			Referencia
		</td>
	</tr>

	<tr>
		<td colspan='2'>
			<input style='display: nonex; height:30px; width: 100%' class='roundTable' name='direccion' id='direccion' size='20' type='text' value='' />
		</td>
		<td colspan='1'>
			<input style='display: nonex; height:30px; width: 100%' class='roundTable' name='referencia' id='referencia' size='20' type='text' value='' />
		</td>
	</tr>



	<tr>
		<td>
			Departamento
		</td>
		<td>
			Provincia
		</td>
		<td colspan='1'>
			Distrito
		</td>
	</tr>

	<tr>
		<td id='pdepartamento'>";
			Departamento();
echo "
		</td>
		<td id='pprovincia'>";
			Provincia();
echo "
		</td>
		<td colspan='1' id='pdistrito'>
			<select class='round' name='iddistrito' id='iddistrito' style='width: 100%'>
			<option value=''>--Distrito--</option>
			</select>
		</td>
	</tr>

	<tr>
		<td colspan='3'> <br><button class='roundTable' id='boton' onClick='quieromiseguro()' style='width:178px; height:35px; background:url(picture_library/Quieromisoat.png)'/></botton><br></td>
	</tr>

	</table> <br> <p style='font: bold 100% Tahoma; text-align:center;'><a href='javascript:history.go(-1)'>VOLVER ATR&Aacute;S</a></p>";
echo "<form>";
echo "
	</div>
</div>
</div>";
include("cierra_conexion.php");   

?>

	<script type="text/javascript">

		function quieromiseguro()
		{	
			var jnombre = $('#pnombre').val();
			var japellido = $('#ppaterno').val() + ' ' + $('#pmaterno').val();
			var jtipodocumento = $('#ptipodocumento').val();
			var jdocumento = $('#pdocumento').val();
			var jfecnac = $('#pfecnac').val();
			var jcorreo = $('#pcorreo').val();
			var jcelular = $('#pcelular').val();
			var jfijo = $('#pfijo').val();
			
			var jplaca = $('#pplaca').val();
			var jfabricacion = $('#pfabricacion').val();
			var jmarca = $('#pmarcadetalle').val();
			var jmodelo = $('#pmodelodetalle').val();
			var jclase = $('#pclase').val();
			var juso = $('#puso').val();
			var jchasis = $('#chasis').val();
			var jasientos = $('#asientos').val();
			var jdireccion = $('#direccion').val() + ' - ' + $('#iddistrito').find(':selected').text() + ' - ' + $('#idprovincia').find(':selected').text() + ' - ' + $('#iddepartamento').find(':selected').text();
			var jreferencia = $('#referencia').val();
			jdireccion = jdireccion.toUpperCase();
			jreferencia = jreferencia.toUpperCase();
			var longitudplaca = jplaca.length;
			var jvigencia = $('#vigencia').val();
			var jentrega = $('#entrega').val();
			var jprecio = $('#pprecio').val();
			
			if(longitudplaca < 6)
			{
			
			do {
				   jplaca = prompt('Por favor indique la placa de su vehiculo:');
				   longitudplaca = jplaca.length;
				} while (longitudplaca < 6);
			}
			//alert($('input:radio[name=contratar]:checked').val());
			var mensaje = 
			'vartipodoc=Tipo: ' + jtipodocumento + '&' +  
			'vardocumento=Documento: ' + jdocumento + '&' +  
			'varnombre=Nombre: ' + jnombre + '&' +  
			'varapellido=Apellido: ' + japellido + '&' +  
			'varfn=Fecha de Nacimiento: ' + jfecnac + '&' +   
			'varcorreo=Correo: ' + jcorreo + '&' +  
			'varcelular=Celular: ' + jcelular + '&' +  
			'varfijo=Telefono Fijo: ' + jfijo + '&' +  
			'vardireccion=Direccion: ' + jdireccion + '&' +  
			'varreferencia=Referencia: ' + jreferencia + '&' +  
			'varplaca=Placa: ' + jplaca + '&' +  
			'varmarca=Marca: ' + jmarca + '&' +  
			'varmodelo=Modelo: ' + jmodelo + '&' +  
			'varclase=Clase: ' + jclase + '&' +  
			'varuso=Uso: ' + juso + '&' +  
			'varchasis=Chasis: ' + jchasis + '&' +  
			'varasientos=Asientos: ' + jasientos + '&' +  
			'varfabricacion=Fabricacion: ' + jfabricacion + '&' +  
			'varvigencia=Inicio de vigencia: ' + jvigencia + '&' + 
			'varprecio=Precio: ' + jprecio + '&' + 
			'varsolonombre=' + jnombre + '&' + 
			'varsoloapellido=' + japellido + '&' + 
			'varsolodireccion=' + jdireccion + '&' + 
			'varsoloprecio=' + jprecio + '&' + 
			'varsoloentrega=' + jentrega + '&' + 
				
			'varentrega=Fecha de entrega: ' + jentrega;
			
			//alert(mensaje);

			//alert(longitudplaca);
			window.open('http://www.myjservigen.com/venta_soat.php?tipo=correo&'+mensaje, 'nuevo', 'directories=no, location=no, menubar=no, scrollbars=yes, statusbar=no, tittlebar=no, width=400, height=400');
			//'cargar_datos_seguro_soat.php?tipo=correo&varmensaje='+mensaje
			//location.href='http://www.tuseguroperu.com/cierre_vehicular.php?varaseguradora=' + abaseg + '&varcliente=' + varcliente; 
		}
		
	</script>
	<div class="links" style="display:none;"> <a href="http://www.air90suk.info/">Cheap Nike Air Max 90 UK</a> <a href="http://www.otshoes.com/">Vans</a> <a href="http://www.ucoats.com/">Moncler Jacket Outlet On Sale</a> <a href="http://www.zscarpe.com/">Scarpe Nike Air Max</a> <a href="http://www.xschuhe.com/">Adidas Schuhe Top-Marke im Online Shop kaufe</a> <a href="http://www.fireshoestore.com/">Official Adidas NMD R1 Online</a> <a href="http://www.ohkick.com/">Chaussures Nike Jordan</a> <a href="http://www.jerseyfanstore.com/">New Nike NBA jersey</a></div></body>   
</html> 